#
# spec file for package xfce4-panel-plugin-multiload-nandhp
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfce4-panel-plugin-multiload-nandhp
Version:        0.1
Release:        8.1
License:        GPL-2.0+
Summary:        System Load Monitor for the Xfce Panel
Url:            https://github.com/geekless/multiload-nandhp
Group:          System/GUI/XFCE
Source0:        https://codeload.github.com/nandhp/multiload-nandhp/tar.gz/version-0-1
# PATCH-FIX-UPSTREAM xfce4-panel-plugin-multiload-nandhp-automake.patch https://github.com/nandhp/multiload-nandhp/pull/1 lazy.kent@opensuse.org -- add AM_PROG_AR to configure.ac (fixed in git)
Patch0:         xfce4-panel-plugin-multiload-nandhp-automake.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A system load monitor that graphs processor, memory, and swap space use,
plus network and disk activity.

It is a port of the GNOME multiload applet to the Xfce panel.

%prep
%setup -qn multiload-nandhp-version-0-1
%if 0%{?suse_version} >= 1220
%patch0 -p1
%endif

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/libmultiload.la

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_libdir}/xfce4/panel/plugins/libmultiload.so
%{_datadir}/xfce4/panel/plugins/multiload.desktop

%changelog
* Fri May 31 2013 lazy.kent@opensuse.org
- Correct the patch tag.
* Mon May 27 2013 lazy.kent@opensuse.org
- Initial package created - 0.1.
- Add xfce4-panel-plugin-multiload-nandhp-automake.patch: add
  AM_PROG_AR to configure.ac.
